---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "coderd_workspace_proxy Resource - terraform-provider-coderd"
subcategory: ""
description: |-
  A Workspace Proxy for the Coder deployment.
---

# coderd_workspace_proxy (Resource)

A Workspace Proxy for the Coder deployment.

## Example Usage

```terraform
resource "coderd_workspace_proxy" "sydney-wsp" {
  name         = "sydney-wsp"
  display_name = "Australia (Sydney)"
  icon         = "/emojis/1f1e6-1f1fa.png"
}

resource "kubernetes_deployment" "syd_wsproxy" {
  metadata { /* ... */ }
  spec {
    template {
      metadata { /* ... */ }
      spec {
        container {
          name  = "syd-wsp"
          image = "ghcr.io/coder/coder:latest"
          args  = ["wsproxy", "server"]
          env {
            name  = "CODER_PROXY_SESSION_TOKEN"
            value = coderd_workspace_proxy.sydney-wsp.session_token
          }
          /* ... */
        }
        /* ... */
      }
    }
    /* ... */
  }
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `icon` (String) Relative path or external URL that specifes an icon to be displayed in the dashboard.
- `name` (String) Name of the workspace proxy.

### Optional

- `display_name` (String) Display name of the workspace proxy.

### Read-Only

- `id` (String) Workspace Proxy ID
- `session_token` (String) Session token for the workspace proxy.
